# my-go-app

This is our simple application which is wroted in go, I wanted to run somethin more interesting but, with my limitation it's not possible.
there is a docker file which build our application and a yaml file "deploy-app.yaml" which we can deploy our app to the cluster.

I define 2 steps for our gitlab ci:
- [ ]     - building the image
- [ ]     - deploying to the cluster


in this scenario any changes to the app result in an web application and its availbale on my domain: **test.slashgeek.ir**

this time perhaps youare unable to see the https, because of my several test letsencrypt donesn't let me to get new certificate for about 190hrs.





